import request from '@/utils/request'

export function listConstruction(query) {
    return request({
      url: '/bracelet/construction/list',
      method: 'get',
      params: query
    })
  }

// 查询班组人员列表
export function listTeam(query) {
    return request({
        url: '/bracelet/construction/listTeam',
        method: 'get',
        params: query
    })
}


// 查询临时班组人员列表
export function listTeamTemp(query) {
    return request({
        url: '/bracelet/construction/listTeamTemp',
        method: 'get',
        params: query
    })
}

// 查询施工预警信息列表
export function listWarn(query) {
    return request({
        url: '/bracelet/construction/listWarn',
        method: 'get',
        params: query
    })
}

// 导出
export function exportConstructionRecord(query) {
    return request({
        url: '/bracelet/export/exportConstructionRecord',
        method: 'get',
        responseType: 'blob',
        params: query
    })
}

// 导出
export function exportConstructionRecordSome(query) {
    return request({
        url: '/bracelet/construction/exportConstructionRecordSome',
        method: 'get',
        responseType: 'blob',
        params: query
    })
}

